group "PaymentDetails.model"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | 6 elements
Defined: | globally in fpml-shared-5-5.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 3 locations

Content Model Diagram

Complex Content Model
identifier?, payerPartyReference?, payerAccountReference?, receiverPartyReference?, receiverAccountReference?, paymentAmount?

Content Model Elements (6):

  identifier (defined in PaymentDetails.model group),
  payerAccountReference,
  payerPartyReference (defined in PayerReceiver.model group),
  paymentAmount (defined in PaymentDetails.model group),
  receiverAccountReference,
  receiverPartyReference (defined in PayerReceiver.model group)

Known Usage Locations

- In definitions of global complexTypes (3):
  PaymentMatching, PositionPayment, PrincipalMovement

Annotation
A group that covers key elements used in payment reporting messages.
XML Source (w/o annotations (3); see within schema source)

<xsd:group name="PaymentDetails.model"> <xsd:sequence> <xsd:element minOccurs="0" name="identifier" type="PaymentId"/> <xsd:group ref="PayerReceiver.model"/> <xsd:element minOccurs="0" name="paymentAmount" type="Money"/> </xsd:sequence> </xsd:group>

Content Element Detail (all declarations; defined within this component only; 2/6)
identifier

  Type: | PaymentId, simple content

  Unique identifier assigned by either party or matching service, as agreed, to a payment.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="identifier" type="PaymentId"/>

paymentAmount

  Type: | Money, complex content

  Payment amount in a given currency to be paid/received.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="paymentAmount" type="Money"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.